# Poco

# template < class C, class B >

# class MetaSingleton

Library: Foundation
Package: SharedLibrary
Header: Poco/MetaObject.h

## Description

A SingletonMetaObject disables the create() method and instead offers an instance() method to access the single instance of its class.

## Inheritance

Direct Base Classes: AbstractMetaObject < B >

All Base Classes: AbstractMetaObject < B >

## Member Summary

Member Functions: canCreate, create, instance, isAutoDelete

## Constructors

### MetaSingleton

MetaSingleton(
const char * name
);

## Destructor

### ~MetaSingleton

~MetaSingleton();

## Member Functions

### canCreate

bool canCreate() const;

### create

B * create() const;

### instance

B & instance() const;

### isAutoDelete

bool isAutoDelete(
B * pObject
) const;